<?php
include 'inc/head.php';
$sys->head('Черный список сайтов');

if (isset($_GET['del']))
{
mysql_query("DELETE FROM `guard_links` WHERE `id` = '".intval($_GET['del'])."'");
$sys->msg('Адрес удален из черного списка','?');
}

if (isset($_POST['link']))
{
$link=my_esc($_POST['link']);
mysql_query("INSERT INTO `guard_links` (`link`) VALUES ('$link')");
$sys->msg('Адрес добавлен в черный список','?add');
} 
$sys->listnav('links=[b]Черный список сайтов=antispam.links.php','spam.msgs=Подозрительные сообщения=antispam.msgs.php','spamers=Потенциальные спамеры=antispam.users.php');

echo $sys->icon('add')." <a href='?add'>Добавить адрес</a><br />";

if (isset($_GET['add']))
{
echo "
<form method='post' action='?add'>
Адрес сайта (без http://)<br /><input type='text' name='link'><br />
<input type='submit' value='Добавить адрес'></form>
";
}

$sql->cycle('guard_links');
while($post=mysql_fetch_assoc($while))
{
echo "<div class='post'>".$sys->icon('link')." <a href='http://$post[link]'>$post[link]</a> <a href='?del=$post[id]'>".$sys->icon('delete2')."</a></div>";
}

include 'inc/foot.php';
?>